Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 640674 - net-p2p/bitcoin-qt version bump to 0.15.1
Summary: net-p2p/bitcoin-qt version bump to 0.15.1
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Luke-Jr
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-12-11 12:30 UTC by Ladislav Jech
Modified: 2017-12-31 16:20 UTC (History)
6 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ladislav Jech 2017-12-11 12:30:37 UTC
Request for version bump.
Comment 1 Ladislav Jech 2017-12-11 12:35:19 UTC
It actually exists in bitcoin overlay, so easily to migrate into Gentoo tree.
Comment 2 Jonas Stein gentoo-dev 2017-12-11 14:03:48 UTC
The version bump is already in work.
In order to get away from obsolete eclasses there was a lot of work to do now:

You can already try and report about the latest ebuilds which are on their way to the tree:
https://github.com/gentoo/gentoo/pull/6272
Comment 3 Larry the Git Cow gentoo-dev 2017-12-31 16:20:36 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0a84ae2045d1d2b5fb39f68731bbe17e2e9c6462

commit 0a84ae2045d1d2b5fb39f68731bbe17e2e9c6462
Author:     Luke Dashjr <luke-jr+git@utopios.org>
AuthorDate: 2017-12-10 15:07:54 +0000
Commit:     Mike Gilbert <floppym@gentoo.org>
CommitDate: 2017-12-31 16:20:22 +0000

    net-p2p/bitcoin-qt: Bump to 0.15.1
    
    Closes: https://bugs.gentoo.org/615290
    Closes: https://bugs.gentoo.org/631890
    Closes: https://bugs.gentoo.org/640674
    Closes: https://github.com/gentoo/gentoo/pull/6272

 net-p2p/bitcoin-qt/Manifest                 |   2 +
 net-p2p/bitcoin-qt/bitcoin-qt-0.15.1.ebuild | 253 ++++++++++++++++++++++++++++
 net-p2p/bitcoin-qt/metadata.xml             |   3 +
 3 files changed, 258 insertions(+)